package adminserviceparam

import "git.gocasts.ir/ebhomengo/niki/entity"

type LoginWithPhoneNumberRequest struct {
	PhoneNumber string `json:"phone_number" example:"09123456789"`
	Password    string `json:"password" example:"password123"`
}

type LoginWithPhoneNumberResponse struct {
	AdminInfo AdminInfo `json:"admin_info"`
	Tokens    Tokens    `json:"tokens"`
}

type AdminInfo struct {
	ID          uint               `json:"id"`
	FirstName   string             `json:"first_name"`
	LastName    string             `json:"last_name"`
	PhoneNumber string             `json:"phone_number"`
	Role        entity.AdminRole   `json:"role"`
	Description string             `json:"description"`
	Email       string             `json:"email"`
	Gender      entity.Gender      `json:"gender"`
	Status      entity.AdminStatus `json:"status"`
}
