package benefactorhandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	benefactorservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/benefactor"
	benefactorvalidator "git.gocasts.ir/ebhomengo/niki/validator/benefactor/benefactor"
)

type Handler struct {
	authConfig    authservice.Config
	authSvc       authservice.Service
	benefactorSvc benefactorservice.Service
	benefactorVld benefactorvalidator.Validator
}

func New(authConfig authservice.Config,
	authSvc authservice.Service,
	benefactorSvc benefactorservice.Service,
	benefactorVld benefactorvalidator.Validator,
) Handler {
	return Handler{
		authConfig:    authConfig,
		authSvc:       authSvc,
		benefactorSvc: benefactorSvc,
		benefactorVld: benefactorVld,
	}
}
